Bug 1518501 - Builds failing after new Red Hat jenkins images updated
Summary: Builds failing after new Red Hat jenkins images updated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 3.7.0
Assignee: Ben Parees
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-29 05:49 UTC by Jaspreet Kaur
Modified: 2017-12-18 13:24 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Jenkins images that were not backwards compatible to older clusters were pushed as "latest". Consequence: Clusters which referenced jenkins master+slave images via the latest tag picked up images which might not be compatible with the cluster, due to the version of the oc client binary embedded in the jenkins images. This results in oc client operations failing when run from within the jenkins(and jenkins slave) containers, against the cluster. Fix: The latest tag now points to a compatible image that will work with older clusters. Result: Older clusters referencing the "latest" jenkins images will work again.
Clone Of:
Environment:
Last Closed: 2017-12-18 13:24:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3257881 None None None 2017-12-02 04:54:39 UTC
Red Hat Product Errata RHBA-2017:3464 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.7 bug fix and enhancement update 2017-12-18 18:22:05 UTC

Description Jaspreet Kaur 2017-11-29 05:49:47 UTC
Description of problem: OpenShift Jenkins builds failing after Red Hat upstream update to jenkins-slave-base-rhel7 image.  Many applications reported they were affected with variations of a permissions issue. 

Below errors are seen :

error: unable to process template
  User "system:serviceaccount:cipe-develop:jenkins" cannot create template.openshift.io.processedtemplates in project "cipe-develop"


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results: All builds failing because image chnage trigger was enabled and leading to issues.


Expected results: It shouldn't have impacted existing applications.


Additional info: retagged to an older base image (which is getting overriden) and immediately triggered new builds. Also removed the ImageChange trigger have helped for now.

Comment 3 Ben Parees 2017-11-29 16:30:05 UTC
Security team due to:  User "system:serviceaccount:cipe-develop:jenkins" cannot create template.openshift.io.processedtemplates in project "cipe-develop"


(Jenkins SA should have edit permissions in the project).

Comment 17 errata-xmlrpc 2017-12-18 13:24:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3464


Note You need to log in before you can comment on or make changes to this bug.